Package groovy.xml.streamingmarkupsupport

# Class BaseMarkupBuilder

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.xml.streamingmarkupsupport.Builder
groovy.xml.streamingmarkupsupport.BaseMarkupBuilder

All Implemented Interfaces:
  `GroovyObject`

public class BaseMarkupBuilder extends Builder

## Nested Class Summary

## Nested classes/interfaces inherited from class groovy.xml.streamingmarkupsupport.Builder

`Builder.Built`

## Field Summary

### Fields inherited from class groovy.xml.streamingmarkupsupport.Builder

`namespaceMethodMap`

## Constructor Summary

Constructors
Constructor
Description
`BaseMarkupBuilder(Map namespaceMethodMap)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`bind(Closure root)`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BaseMarkupBuilder

public BaseMarkupBuilder(Map namespaceMethodMap)

## Method Details

### bind

public Object bind(Closure root)

Specified by:
  `bind` in class `Builder`